import importlib

from . import base
from .. import errors


def get(source_name: str) -> type[base.BaseSource]:
    try:
        module = importlib.import_module(f"many_repos.source_type.{source_name}")
        return module.Source
    except (ModuleNotFoundError, AttributeError):
        raise errors.InvalidSource(f"Source {source_name} not found!")

