from nox_poetry import session


@session(python=["3.11", "3.12"])
def tests(s):
    """run the tests with pytest"""
    s.install('pytest')
    # session.install('.')
    s.run('pytest', 'tests')


@session(python='python3.12')
def _type(s):
    """run type checks"""
    s.install('mypy')
    s.run('mypy', 'many_repos', 'tests')


@session(python='python3.12')
def lint(s):
    """run linter"""
    s.install('ruff')
    s.run('ruff', 'check', 'many_repos', 'tests')


@session(python='python3.12')
def coverage(s):
    """run coverage report"""
    s.install('pytest', 'pytest-cov')
    s.install('.')
    s.run('pytest', '--cov=many_repos', 'tests/')
